Subject: Re: [PATCH] gitweb: Use File::Find::find in git_get_projects_list

From: Jakub Narebski <[email-masked]>
Date: Thu, 14 Sep 2006 19:02:09 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> Sorry, this comment was leftover from before, when no_chdir was not 
>> used. Then $_ was the last part of directory,...
> 
> Ah, thanks.  I missed that difference.  Did you choose to use
> no_chdir for performance reasons or coding convenience (somehow
> I had an impression that no_chdir would be slower)?

First benchmarks showed that no_chdir was some faster. I have rechecked, 
and they are the same within the margin of error, perhaps without
no_chdir is slightly faster. 447 +/- 11 ms vs. 450 +/- 10 ms according
to ApacheBench (ab -n 10).

So it is really the matter of convenience. The default (without no_chdir) is
I think more convenient.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git